Gunzip
======

Copyright 2015 Laurens Holst

Thanks go to Wouter Vermaelen and Louthrax for support and contributions.

Project information
-------------------

Extracts files compressed with the gzip (.gz) format.

Author: Laurens Holst <laurens.nospam@grauw.nl>  
Site: <https://bitbucket.org/grauw/gunzip>  
Downloads: <https://bitbucket.org/grauw/gunzip/downloads>  
History: <https://bitbucket.org/grauw/gunzip/src/default/CHANGES.md>  
Issues: <https://bitbucket.org/grauw/gunzip/issues>  
Support: <http://www.msx.org/forum/msx-talk/software/gunzip-msx>  
License: Simplified BSD License


System Requirements
-------------------

  * MSX, MSX2, MSX2+ or MSX turboR
  * 16K video RAM
  * 64K main RAM
  * MSX-DOS 2


Usage instructions
------------------

Run gunzip from MSX-DOS 2, specifying the gzipped file on the command line.

Usage:

    gunzip [options] <archive.gz> <outputfile>

Options:

  * `/q` Quiet, suppress messages.
    
    Suppresses the output of informational and warning messages.
    Error messages, however, are always output.

  * `/f` Fast, no checksum validation.
    
    Disables checksum validation which increases inflation speed.
    Use at your own risk.

If no output file is specified, the archive will be tested.


Development information
-----------------------

Gunzip is free and open source software. If you want to contribute to the
project you are very welcome to. Please contact me at any one of the places
mentioned in the project information section.

You are also free to re-use code for your own projects, provided you abide by
the license terms.

Building the project with some of your own modifications is really easy on all
modern desktop platforms. On Mac OS X and Linux, simply invoke `make` to build
the binary and symbol files into the `bin` directory:

    make

Windows users can open the `Makefile` and build by pasting the lines in the
`all` target to the Windows command prompt.

To launch the build in openMSX after building, put a copy of `MSXDOS2.SYS` and
`COMMAND2.COM` and some GZ files to test with in the `bin` directory, and then
invoke the `make run` command.

Note that the [glass](https://bitbucket.org/grauw/glass) assembler which is
embedded in the project requires [Java 7](http://java.com/getjava). To check
your Java version, invoke the `java -version` command.

Additionally, [Node.js](https://nodejs.org/) is required. Download it from their
website or install it through your favourite package manager.
